#ifndef __rabbit_h__
#define __rabbit_h__
#include "Batch.h"
#include "Entity.h"
#include "Level.h"
class Rabbit : public Entity
{
public:
	Batch *body;
	Batch *shadow;
	
	int rotation;
	int targetRotation;
	int degreeshift;

	float targetX, targetZ;
	bool moving;
	bool dontdoanything;
	bool firstHopStep;
public:
	Rabbit(Level *lvl);
	void init();
	void update();
	void render();
	void handleTalk(int _x, int _y);
};
#endif